--- title: "Module" slug: "partner-api-global-module" updated: 2022-07-04T10:32:22Z published: 2022-07-04T10:32:22Z canonical: "developer.comm100.com/partner-api-global-module" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Module - `Modules` - Modules Manage - `GET global/modules` - [Get the list of Modules](/docs/partner-api-global-module#get-the-list-of-modules) - `GET global/sites/{siteId}/modules` - [Get site Modules](/docs/partner-api-global-module#get-site-modules) ## Module JSON Format Module is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | string | ID of module. | | `name` | string | Name of module. | | `description` | string | Description of module. | | `order` | integer | Order of module. | | `isDeleted` | bool | Whether the module is deleted or not. | ## Get the list of Modules `GET global/modules` - #### Parameters: No Parameters - #### Response: An array of [Module](/docs/partner-api-global-module#module-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/modules \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "LiveChat", "name": "Live Chat", "description": "This is LiveChat.", "order": 1, "isDeleted": false } ] ``` ## Get site Modules `GET global/sites/{siteId}/modules` - #### Parameters: No Parameters - #### Response: An array of [Module](/docs/partner-api-global-module#module-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/sites/100/modules \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "LiveChat", "name": "LiveChat", "description": "This is LiveChat.", "order": 1 } ] ```